/**
 * In this file, we create a React component
 * which incorporates components provided by Material-UI.
 */
import * as React from 'react';
import RaisedButton from 'material-ui/RaisedButton';
import Dialog from 'material-ui/Dialog';
import { deepOrange500 } from 'material-ui/styles/colors';
import FlatButton from 'material-ui/FlatButton';
import getMuiTheme from 'material-ui/styles/getMuiTheme';
import MuiThemeProvider from 'material-ui/styles/MuiThemeProvider';

import * as ReactDOM from 'react-dom';

import Divider from 'material-ui/Divider';
import Paper from 'material-ui/Paper';
import TextField from 'material-ui/TextField';

import SelectField from 'material-ui/SelectField';
import MenuItem from 'material-ui/MenuItem';

import Slider from 'material-ui/Slider';

import * as http from "http"

import { MemberRegistResult } from './registResult';


const styles = {
  body: {
    textAlign: 'center',
  },
  container: {
    textAlign: 'center',

  },

  textfield: {
    width: 300,
    marginLeft: 3
  },

  customWidth: {
    width: 150,
  },
  button: {
    margin: 12,
  }
};

const muiTheme = getMuiTheme({
  palette: {
    accent1Color: deepOrange500,
  },
});

export class MemberRegist extends React.Component<any, any> {
  constructor(props: any, context: any) {
    super(props, context);

    this.handleSignUp = this.handleSignUp.bind(this);

    this.state = {
      open: false,
      value: 1,

      email: "",
      name: "",
      company: "",
      phone: "",
      pw: "",
    };
  }

  handleChange = () => this.setState({});

  private emailInput: any;

  handleRequestClose = () => {
    this.setState({
      open: false,
    });
  }

  handleTouchTap = () => {
    this.setState({
      open: true,
    });
  }

  handleSignUp = () => {

    let output: string;
    let obj: any; //new object declaration
    obj = {
      "email": this.state.email,
      "pwSalt": this.state.pw,
      "name": this.state.name,
      "company": this.state.company,
      "phone": this.state.phone
    };

    let exeObj :any;
    exeObj = {
      "serviceName":"Member",
      "methodName":"Regist",
      "param":obj
    }


    output = JSON.stringify(exeObj);

    // obj = { "value": output };

    fetch('http://192.168.1.203:8080/v1/overflow/services', {
      method: 'POST',
      headers: {
        'Accept': 'application/json',
        // mode: 'no-cors'
      },
      body: output
    }).then(function (response) {
      return response.json();
    }).then(function (json) {
      console.log(json);
      ReactDOM.render(<MemberRegistResult />, document.getElementById('example')
    );
    }).catch((err) => {
      console.log(err);
    });





  }


  handleResultContainer = () => {
    ReactDOM.render(
      <MemberRegistResult />,
      document.getElementById('example')
    );
  }


  btnTouchTap = () => {
    alert(event)
  };

  render() {

    return (
      <MuiThemeProvider muiTheme={muiTheme}>

        <div style={styles.container}>
          Get started with Overflow
              <br />
          <TextField
            ref="email"
            hintText="smith@gmail.com"
            floatingLabelText="Email address*"
            errorText=""
            style={styles.textfield}
            underlineShow={true}
            value={this.state.email}
            onChange={(e, newValue) => this.setState({ email: newValue })}
          />
          <br />
          <TextField
            ref="name"
            hintText="Snoop"
            floatingLabelText="Full Name*"
            style={styles.textfield}
            underlineShow={true}
            value={this.state.name}
            onChange={(e, newValue) => this.setState({ name: newValue })}

          />
          <br />

          <TextField
            ref="company"
            hintText="Loafle"
            floatingLabelText="Company*"
            style={styles.textfield}
            underlineShow={true}
            value={this.state.company}
            onChange={(e, newValue) => this.setState({ company: newValue })}
          />
          <br />

          <TextField
            ref="phone"
            hintText="Loafle"
            floatingLabelText="Phone*"
            style={styles.textfield}
            underlineShow={true}
            value={this.state.phone}
            onChange={(e, newValue) => this.setState({ phone: newValue })}
          />
          <br />

          <TextField
            hintText="Password"
            floatingLabelText="Password"
            type="password"
            style={styles.textfield}
            value={this.state.pw}
            onChange={(e, newValue) => this.setState({ pw: newValue })}
          />
          <br />


          <RaisedButton label="Sign Up" primary={true} style={styles.button} onClick={this.handleSignUp.bind(this)} />

        </div>

      </MuiThemeProvider>
    );
  }
}

